Aex Brain
ReferenceAPI

Upload a tool

POST/v1/tools

Authorization

serverToken
AuthorizationBearer <token>

The server's BRAIN_API_TOKEN, sent as Authorization: Bearer . Required for application API calls when configured; optional only on a loopback server started without a token.

In: header

Header Parameters

Idempotency-Key*string
Length1 <= length <= 256

Request Body

application/octet-stream

TypeScript Definitions

Use the request body type in TypeScript.

body*file
Formatbinary

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/tools" \  -H "Idempotency-Key: string" \  -H "Authorization: Bearer YOUR_TOKEN" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{  "error": {    "code": "string",    "message": "string",    "retryable": false  },  "id": "string",  "status": "admitted"}